Package com.emc.d2fs.models.repository

# Class Repository

java.lang.Object
com.emc.d2fs.models.repository.Repository

All Implemented Interfaces:
  `Serializable`

public class Repository extends Object implements Serializable

Java class for repository complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="repository">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute ref="{http://www.emc.com/d2fs/models/common}id"/>
           <attribute name="repositoryName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="serverName" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="docbaseDescription" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="serverVersion" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="repositoryType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="hideDomain" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Repository()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDocbaseDescription()`
  Gets the value of the docbaseDescription property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getRepositoryName()`
  Gets the value of the repositoryName property.
  `String`
  `getRepositoryType()`
  Gets the value of the repositoryType property.
  `String`
  `getServerName()`
  Gets the value of the serverName property.
  `String`
  `getServerVersion()`
  Gets the value of the serverVersion property.
  `boolean`
  `isHideDomain()`
  Gets the value of the hideDomain property.
  `void`
  `setDocbaseDescription(String value)`
  Sets the value of the docbaseDescription property.
  `void`
  `setHideDomain(boolean value)`
  Sets the value of the hideDomain property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setRepositoryName(String value)`
  Sets the value of the repositoryName property.
  `void`
  `setRepositoryType(String value)`
  Sets the value of the repositoryType property.
  `void`
  `setServerName(String value)`
  Sets the value of the serverName property.
  `void`
  `setServerVersion(String value)`
  Sets the value of the serverVersion property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Repository

    public Repository()

- ## Method Details

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRepositoryName

    public String getRepositoryName()
    Gets the value of the repositoryName property.
    Returns:
      possible object is `String`

  - ### setRepositoryName

    public void setRepositoryName(String value)
    Sets the value of the repositoryName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getServerName

    public String getServerName()
    Gets the value of the serverName property.
    Returns:
      possible object is `String`

  - ### setServerName

    public void setServerName(String value)
    Sets the value of the serverName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDocbaseDescription

    public String getDocbaseDescription()
    Gets the value of the docbaseDescription property.
    Returns:
      possible object is `String`

  - ### setDocbaseDescription

    public void setDocbaseDescription(String value)
    Sets the value of the docbaseDescription property.
    Parameters:
      `value` - allowed object is `String`

  - ### getServerVersion

    public String getServerVersion()
    Gets the value of the serverVersion property.
    Returns:
      possible object is `String`

  - ### setServerVersion

    public void setServerVersion(String value)
    Sets the value of the serverVersion property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRepositoryType

    public String getRepositoryType()
    Gets the value of the repositoryType property.
    Returns:
      possible object is `String`

  - ### setRepositoryType

    public void setRepositoryType(String value)
    Sets the value of the repositoryType property.
    Parameters:
      `value` - allowed object is `String`

  - ### isHideDomain

    public boolean isHideDomain()
    Gets the value of the hideDomain property.

  - ### setHideDomain

    public void setHideDomain(boolean value)
    Sets the value of the hideDomain property.